FUNCTION GET_FCTM_FACT7_01, input
;+
; create filter contamination factor for Al_mesh
;   factor multiplied to the thickness as of 2007/06/18
;
; IDL> fctm_factor = get_fcrm_fact6_01('2010/06/01')
; IDL> fctm_factor = get_fcrm_fact6_01(XRT_index')
;-
;-------------------------
;input='2010/06/01 12:00'
;input='2016/05/06 12:00'
;-------------------------
chk=size(input)
dtype= chk[chk[0]+1]
if dtype eq 8 then tt1=anytim(input.date_obs,/sec)/1e9 $
              else tt1=anytim(input,/sec)/1e9
;** Note: -1e9 : use smaller number to avoid losing lower digits. **
;
;--- eclipse season period after 2010 ---
ecl_prd=strarr(2,11)
ecl_prd(*,0)=['2010/05/05 00:00:00','2010/08/05 00:00:00']
ecl_prd(*,1)=['2011/05/05 00:00:00','2011/08/05 00:00:00']
ecl_prd(*,2)=['2012/05/05 00:00:00','2012/08/05 00:00:00']
ecl_prd(*,3)=['2013/05/05 00:00:00','2013/08/05 00:00:00']
ecl_prd(*,4)=['2014/05/05 00:00:00','2014/08/05 00:00:00']
ecl_prd(*,5)=['2015/05/05 00:00:00','2015/08/05 00:00:00']
ecl_prd(*,6)=['2016/05/05 00:00:00','2016/08/05 00:00:00']
ecl_prd(*,7)=['2017/05/05 00:00:00','2017/08/05 00:00:00']
ecl_prd(*,8)=['2018/05/05 00:00:00','2018/08/05 00:00:00']
ecl_prd(*,9)=['2019/05/05 00:00:00','2019/08/05 00:00:00']
ecl_prd(*,10)=['2020/05/05 00:00:00','2020/08/05 00:00:00']
;
ecl_prd2=anytim(ecl_prd,/sec)/1e9
ref_tim1=anytim('2021/05/05',/sec)/1e9
;
f_factr=fltarr(2,11)
;
;f_factr(*,0)=[1.00,1.10]    ; 2010 
;f_factr(*,1)=[1.10,1.20]    ; 2011
;f_factr(*,2)=[1.20,1.29]    ; 2012
;f_factr(*,3)=[1.29,1.38]    ; 2013
;f_factr(*,4)=[1.38,1.46]    ; 2014
;f_factr(*,5)=[1.46,1.54]    ; 2015
;f_factr(*,6)=[1.54,1.62]    ; 2016
;f_factr(*,7)=[1.62,1.70]    ; 2017
;ffct_max=1.80               ; max factor value
;
;f_factr(*,0)=[1.00,1.10]    ; 2010
;f_factr(*,1)=[1.10,1.15]    ; 2011
;f_factr(*,2)=[1.15,1.20]    ; 2012
;f_factr(*,3)=[1.20,1.25]    ; 2013
;f_factr(*,4)=[1.25,1.30]    ; 2014
;f_factr(*,5)=[1.30,1.40]    ; 2015
;f_factr(*,6)=[1.40,1.52]    ; 2016
;f_factr(*,7)=[1.52,1.64]    ; 2017
;f_factr(*,8)=[1.64,1.75]    ; 2018
;f_factr(*,9)=[1.75,1.84]    ; 2019
;f_factr(*,10)=[1.84,1.90]    ; 2020
;ffct_max=1.92               ; max factor value
;
f_factr(*,0)=[1.00,1.10]    ; 2010    *** ver.a ***
f_factr(*,1)=[1.10,1.15]    ; 2011
f_factr(*,2)=[1.15,1.20]    ; 2012
f_factr(*,3)=[1.20,1.25]    ; 2013
f_factr(*,4)=[1.25,1.30]    ; 2014
f_factr(*,5)=[1.30,1.45]    ; 2015
f_factr(*,6)=[1.45,1.63]    ; 2016
f_factr(*,7)=[1.63,1.78]    ; 2017
f_factr(*,8)=[1.78,1.90]    ; 2018
f_factr(*,9)=[1.90,1.97]    ; 2019
f_factr(*,10)=[1.97,1.99]    ; 2020
ffct_max=2.00               ; max factor value
;
;f_factr(*,0)=[1.00,1.10]    ; 2010  *** ver.b ***
;f_factr(*,1)=[1.10,1.15]    ; 2011
;f_factr(*,2)=[1.15,1.20]    ; 2012
;f_factr(*,3)=[1.20,1.25]    ; 2013
;f_factr(*,4)=[1.25,1.30]    ; 2014
;f_factr(*,5)=[1.30,1.38]    ; 2015
;f_factr(*,6)=[1.38,1.46]    ; 2016
;f_factr(*,7)=[1.46,1.52]    ; 2017
;f_factr(*,8)=[1.52,1.57]    ; 2018
;f_factr(*,9)=[1.57,1.60]    ; 2019
;f_factr(*,10)=[1.60,1.62]    ; 2020
;ffct_max=1.64               ; max factor value
;
fctm_factor=0.0   ; set initial value
if tt1 lt ecl_prd2(0,0) then fctm_factor=1.0
if tt1 ge ecl_prd2(0,0) and tt1 lt ecl_prd2(1,0) then $
           fctm_factor=interpol(f_factr(*,0),ecl_prd2(*,0),tt1)
if tt1 ge ecl_prd2(1,0) and tt1 lt ecl_prd2(0,1) then $
           fctm_factor=f_factr(1,0)
if tt1 ge ecl_prd2(0,1) and tt1 lt ecl_prd2(1,1) then $
           fctm_factor=interpol(f_factr(*,1),ecl_prd2(*,1),tt1)
if tt1 ge ecl_prd2(1,1) and tt1 lt ecl_prd2(0,2) then $
           fctm_factor=f_factr(1,1)
if tt1 ge ecl_prd2(0,2) and tt1 lt ecl_prd2(1,2) then $
           fctm_factor=interpol(f_factr(*,2),ecl_prd2(*,2),tt1)
if tt1 ge ecl_prd2(1,2) and tt1 lt ecl_prd2(0,3) then $
           fctm_factor=f_factr(1,2)
if tt1 ge ecl_prd2(0,3) and tt1 lt ecl_prd2(1,3) then $
           fctm_factor=interpol(f_factr(*,3),ecl_prd2(*,3),tt1)
if tt1 ge ecl_prd2(1,3) and tt1 lt ecl_prd2(0,4) then $
           fctm_factor=f_factr(1,3)
if tt1 ge ecl_prd2(0,4) and tt1 lt ecl_prd2(1,4) then $
           fctm_factor=interpol(f_factr(*,4),ecl_prd2(*,4),tt1)
if tt1 ge ecl_prd2(1,4) and tt1 lt ecl_prd2(0,5) then $
           fctm_factor=f_factr(1,4)
if tt1 ge ecl_prd2(0,5) and tt1 lt ecl_prd2(1,5) then $
           fctm_factor=interpol(f_factr(*,5),ecl_prd2(*,5),tt1)
if tt1 ge ecl_prd2(1,5) and tt1 lt ecl_prd2(0,6) then $
           fctm_factor=f_factr(1,5)
if tt1 ge ecl_prd2(0,6) and tt1 lt ecl_prd2(1,6) then $
           fctm_factor=interpol(f_factr(*,6),ecl_prd2(*,6),tt1)
if tt1 ge ecl_prd2(1,6) and tt1 lt ecl_prd2(0,7) then $
           fctm_factor=f_factr(1,6)
if tt1 ge ecl_prd2(0,7) and tt1 lt ecl_prd2(1,7) then $
           fctm_factor=interpol(f_factr(*,7),ecl_prd2(*,7),tt1)
if tt1 ge ecl_prd2(1,7) and tt1 lt ecl_prd2(0,8) then $
           fctm_factor=f_factr(1,7)
if tt1 ge ecl_prd2(0,8) and tt1 lt ecl_prd2(1,8) then $
           fctm_factor=interpol(f_factr(*,8),ecl_prd2(*,8),tt1)
if tt1 ge ecl_prd2(1,8) and tt1 lt ecl_prd2(0,9) then $
           fctm_factor=f_factr(1,8)
if tt1 ge ecl_prd2(0,9) and tt1 lt ecl_prd2(1,9) then $
           fctm_factor=interpol(f_factr(*,9),ecl_prd2(*,9),tt1)
if tt1 ge ecl_prd2(1,9) and tt1 lt ecl_prd2(0,10) then $
           fctm_factor=f_factr(1,9)
if tt1 ge ecl_prd2(0,10) and tt1 lt ecl_prd2(1,10) then $
           fctm_factor=interpol(f_factr(*,10),ecl_prd2(*,10),tt1)
if tt1 ge ecl_prd2(1,10) and tt1 lt ref_tim1 then $
   fctm_factor=interpol([f_factr(1,10),ffct_max],[ecl_prd2(1,10),ref_tim1],tt1)
if tt1 ge ref_tim1 then fctm_factor=ffct_max
;
;print,fctm_factor
;
return,fctm_factor
FIN:
end
