FUNCTION GET_FCTM_FACT7_02, input
;+
; create filter contamination factor for Ti_poly
;   factor multiplied to the thickness as of 2007/06/18
;
; IDL> fctm_factor = get_fctm_fact5_02('2010/06/01')
; IDL> fctm_factor = get_fctm_fact5_02(XRT_index)
;-
;-------------------------
;input='2010/06/01 12:00'
;input='2016/05/06 12:00'
;-------------------------
chk=size(input)
dtype= chk[chk[0]+1]
if dtype eq 8 then tt1=anytim(input.date_obs,/sec)/1e9 $
              else tt1=anytim(input,/sec)/1e9
;** Note: -1e9 : use smaller number to avoid losing lower digits. **
;
;--- eclipse season period after 2010 ---
ecl_prd=strarr(2,8)
ecl_prd(*,0)=['2010/05/05 00:00:00','2010/08/05 00:00:00']
ecl_prd(*,1)=['2011/05/05 00:00:00','2011/08/05 00:00:00']
ecl_prd(*,2)=['2012/05/05 00:00:00','2012/08/05 00:00:00']
ecl_prd(*,3)=['2013/05/05 00:00:00','2013/08/05 00:00:00']
ecl_prd(*,4)=['2014/05/05 00:00:00','2014/08/05 00:00:00']
ecl_prd(*,5)=['2015/05/05 00:00:00','2015/08/05 00:00:00']
ecl_prd(*,6)=['2016/05/05 00:00:00','2016/08/05 00:00:00']
ecl_prd(*,7)=['2017/05/05 00:00:00','2017/08/05 00:00:00']
;
ecl_prd2=anytim(ecl_prd,/sec)/1e9
ref_tim1=anytim('2021/05/05',/sec)/1e9
;
f_factr=fltarr(2,8)
;
;f_factr(*,0)=[1.00,2.20]    ; 2010   same as fctm5 version
;f_factr(*,1)=[2.20,2.80]    ; 2011
;f_factr(*,2)=[2.80,3.10]    ; 2012
;f_factr(*,3)=[3.10,3.30]    ; 2013
;f_factr(*,4)=[3.30,3.45]    ; 2014
;f_factr(*,5)=[3.45,3.55]    ; 2015
;f_factr(*,6)=[3.55,3.65]    ; 2016
;f_factr(*,7)=[3.65,3.70]    ; 2017
;ffct_max=3.7                ; max factor value (that of 2021/05/05)
;
;f_factr(*,0)=[1.00,2.20]    ; 2010   same as fctm5 version
;f_factr(*,1)=[2.20,2.80]    ; 2011
;f_factr(*,2)=[2.80,3.10]    ; 2012
;f_factr(*,3)=[3.10,3.30]    ; 2013
;f_factr(*,4)=[3.30,3.48]    ; 2014
;f_factr(*,5)=[3.48,3.60]    ; 2015
;f_factr(*,6)=[3.60,3.65]    ; 2016
;f_factr(*,7)=[3.65,3.70]    ; 2017
;ffct_max=3.8                ; max factor value (that of 2021/05/05)
;
;f_factr(*,0)=[1.00,2.20]    ; 2010
;f_factr(*,1)=[2.20,2.80]    ; 2011
;f_factr(*,2)=[2.80,3.10]    ; 2012
;f_factr(*,3)=[3.10,3.30]    ; 2013
;f_factr(*,4)=[3.30,3.40]    ; 2014
;f_factr(*,5)=[3.40,3.50]    ; 2015
;f_factr(*,6)=[3.50,3.60]    ; 2016
;f_factr(*,7)=[3.60,3.65]    ; 2017
;ffct_max=3.7                ; max factor value (that of 2021/05/05)
;
;f_factr(*,0)=[1.00,2.20]    ; 2010
;f_factr(*,1)=[2.20,2.70]    ; 2011
;f_factr(*,2)=[2.70,3.05]    ; 2012
;f_factr(*,3)=[3.05,3.20]    ; 2013
;f_factr(*,4)=[3.20,3.30]    ; 2014
;f_factr(*,5)=[3.30,3.35]    ; 2015
;f_factr(*,6)=[3.35,3.40]    ; 2016
;f_factr(*,7)=[3.40,3.45]    ; 2017
;ffct_max=3.5                ; max factor value (that of 2021/05/05)
;
f_factr(*,0)=[1.00,2.20]    ; 2010
f_factr(*,1)=[2.20,2.70]    ; 2011
f_factr(*,2)=[2.70,3.00]    ; 2012
f_factr(*,3)=[3.00,3.15]    ; 2013
f_factr(*,4)=[3.15,3.25]    ; 2014
f_factr(*,5)=[3.25,3.33]    ; 2015
f_factr(*,6)=[3.33,3.40]    ; 2016
f_factr(*,7)=[3.40,3.45]    ; 2017
ffct_max=3.5                ; max factor value (that of 2021/05/05)
;
fctm_factor=0.0   ; set initial value
if tt1 lt ecl_prd2(0,0) then fctm_factor=1.0
if tt1 ge ecl_prd2(0,0) and tt1 lt ecl_prd2(1,0) then $
           fctm_factor=interpol(f_factr(*,0),ecl_prd2(*,0),tt1)
if tt1 ge ecl_prd2(1,0) and tt1 lt ecl_prd2(0,1) then $
           fctm_factor=f_factr(1,0)
if tt1 ge ecl_prd2(0,1) and tt1 lt ecl_prd2(1,1) then $
           fctm_factor=interpol(f_factr(*,1),ecl_prd2(*,1),tt1)
if tt1 ge ecl_prd2(1,1) and tt1 lt ecl_prd2(0,2) then $
           fctm_factor=f_factr(1,1)
if tt1 ge ecl_prd2(0,2) and tt1 lt ecl_prd2(1,2) then $
           fctm_factor=interpol(f_factr(*,2),ecl_prd2(*,2),tt1)
if tt1 ge ecl_prd2(1,2) and tt1 lt ecl_prd2(0,3) then $
           fctm_factor=f_factr(1,2)
if tt1 ge ecl_prd2(0,3) and tt1 lt ecl_prd2(1,3) then $
           fctm_factor=interpol(f_factr(*,3),ecl_prd2(*,3),tt1)
if tt1 ge ecl_prd2(1,3) and tt1 lt ecl_prd2(0,4) then $
           fctm_factor=f_factr(1,3)
if tt1 ge ecl_prd2(0,4) and tt1 lt ecl_prd2(1,4) then $
           fctm_factor=interpol(f_factr(*,4),ecl_prd2(*,4),tt1)
if tt1 ge ecl_prd2(1,4) and tt1 lt ecl_prd2(0,5) then $
           fctm_factor=f_factr(1,4)
if tt1 ge ecl_prd2(0,5) and tt1 lt ecl_prd2(1,5) then $
           fctm_factor=interpol(f_factr(*,5),ecl_prd2(*,5),tt1)
if tt1 ge ecl_prd2(1,5) and tt1 lt ecl_prd2(0,6) then $
           fctm_factor=f_factr(1,5)
if tt1 ge ecl_prd2(0,6) and tt1 lt ecl_prd2(1,6) then $
           fctm_factor=interpol(f_factr(*,6),ecl_prd2(*,6),tt1)
if tt1 ge ecl_prd2(1,6) and tt1 lt ecl_prd2(0,7) then $
           fctm_factor=f_factr(1,6)
if tt1 ge ecl_prd2(0,7) and tt1 lt ecl_prd2(1,7) then $
           fctm_factor=interpol(f_factr(*,7),ecl_prd2(*,7),tt1)
if tt1 ge ecl_prd2(1,7) and tt1 lt ref_tim1 then $
   fctm_factor=interpol([f_factr(1,7),ffct_max],[ecl_prd2(1,7),ref_tim1],tt1)
if tt1 ge ref_tim1 then fctm_factor=ffct_max
;
;print,fctm_factor
;
return,fctm_factor
FIN:
end
